[arch-releng] [PATCH 09/10] Fix coding style in archiso hook

Gerardo Exequiel Pozzi vmlinuz386 at yahoo.com.ar
Wed Feb 17 17:45:31 EST 2010


Signed-off-by: Gerardo Exequiel Pozzi <vmlinuz386 at yahoo.com.ar>
---
 archiso/hooks/archiso |   23 ++++++++++-------------
 1 files changed, 10 insertions(+), 13 deletions(-)

diff --git a/archiso/hooks/archiso b/archiso/hooks/archiso
index d9b0984..ad86764 100644
--- a/archiso/hooks/archiso
+++ b/archiso/hooks/archiso
@@ -1,6 +1,5 @@
 # args: source, mountpoint
-_mnt_bind()
-{
+_mnt_bind() {
     src="${1}"
     mnt="${2}"
     msg "::: Binding ${src} to ${mnt}"
@@ -8,9 +7,8 @@ _mnt_bind()
     /bin/mount -o bind "${src}" "${mnt}"
 }
 
-# args: /path/to/image_file
-_mnt_squashfs()
-{
+# args: /path/to/image_file, mountpoint
+_mnt_squashfs() {
     img="${1}"
     mnt="${2}"
     img_fullname="${img##*/}";
@@ -34,8 +32,7 @@ _mnt_squashfs()
     fi
 }
 
-run_hook ()
-{
+run_hook () {
     if [ "x${arch}" = "x" ]; then
         arch="$(uname -m)"
     fi
@@ -59,7 +56,7 @@ run_hook ()
 }
 
 archiso_mount_handler() {
-    newroot="$1"
+    newroot="${1}"
 
     msg -n ":: Mounting tmpfs, size=${tmpfs_size}..."
     mount -t tmpfs -o "size=${tmpfs_size}" tmpfs /tmpfs
@@ -67,10 +64,10 @@ archiso_mount_handler() {
 
     msg ":: Waiting for boot device..."
     while ! poll_device ${archisodevice} 30; do
-      echo "ERROR: boot device didn't show up after 30 seconds..."
-      echo "   Falling back to interactive prompt"
-      echo "   You can try to fix the problem manually, log out when you are finished"
-      launch_interactive_shell
+        echo "ERROR: boot device didn't show up after 30 seconds..."
+        echo "   Falling back to interactive prompt"
+        echo "   You can try to fix the problem manually, log out when you are finished"
+        launch_interactive_shell
     done
 
     FSTYPE=$(blkid -o value -s TYPE ${archisodevice} 2> /dev/null)
@@ -99,7 +96,7 @@ archiso_mount_handler() {
     fi
 
     msg ":: Mounting root (aufs) filesystem"
-    /bin/mount -t aufs -o dirs=/tmpfs=rw none $newroot
+    /bin/mount -t aufs -o dirs=/tmpfs=rw none "${newroot}"
     if [ $? -ne 0 ]; then
         echo "ERROR: while mounting root (aufs) filesystem."
         exit 1
-- 
1.6.6.1




More information about the arch-releng mailing list